Skip to main content

Search Social Posts

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

GETghl.search_social_posts

Search and filter social media posts across all platforms

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-search-social-posts-example",
"method": "tools/call",
"params": {
"name": "ghl.search_social_posts",
"arguments": {
"fromDate": "fromDate_example",
"toDate": "toDate_example",
"tenantId": "tenantId_123",
"type": "recent",
"accounts": "accounts_example",
"skip": 1,
"limit": 1,
"includeUsers": false,
"postType": "post"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"recent",
"all",
"scheduled",
"draft",
"failed",
"in_review",
"published",
"in_progress",
"deleted"
]
},
"accounts": {
"type": "string"
},
"skip": {
"type": "number"
},
"limit": {
"type": "number"
},
"fromDate": {
"type": "string"
},
"toDate": {
"type": "string"
},
"includeUsers": {
"type": "boolean"
},
"postType": {
"type": "string",
"enum": [
"post",
"story",
"reel"
]
}
},
"required": [
"fromDate",
"toDate"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-search-social-posts-example",
"method": "tools/call",
"params": {
"name": "ghl.search_social_posts",
"arguments": {
"fromDate": "fromDate_example",
"toDate": "toDate_example",
"tenantId": "tenantId_123",
"type": "recent",
"accounts": "accounts_example",
"skip": 1,
"limit": 1,
"includeUsers": false,
"postType": "post"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.search_social_posts executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}